Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class DimensionImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.DimensionImpl

All Implemented Interfaces:
  Decorator, Dimension, Displayable, Expression, Visitable

Direct Known Subclasses:
  TestDimension

    public class DimensionImpl

extends java.lang.Object
implements Dimension

Created on 11.10.2002

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Dimension
`MEASURES_FIRST_COMPARATOR`

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`DimensionImpl()`

Method Summary
`void` | `accept(Visitor visitor)`
`Hierarchy[]` | `getHierarchies()` Returns the hierarchies.
`java.lang.String` | `getLabel()` Returns the label.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`boolean` | `isMeasure()` Returns the measure.
`boolean` | `isTime()` Returns the time.
`void` | `setHierarchies(Hierarchy[] hierarchies)` Sets the hierarchies.
`void` | `setLabel(java.lang.String label)` Sets the label.
`void` | `setMeasure(boolean measure)` Sets the measure.
`void` | `setTime(boolean time)` Sets the time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DimensionImpl

    public DimensionImpl()

Method Detail

### getHierarchies

    public Hierarchy[] getHierarchies()

  Returns the hierarchies.

  Specified by:
    `getHierarchies` in interface `Dimension`
  Returns:
    Hierarchy[]

### isMeasure

    public boolean isMeasure()

  Returns the measure.

  Specified by:
    `isMeasure` in interface `Dimension`
  Returns:
    boolean

### isTime

    public boolean isTime()

  Returns the time.

  Specified by:
    `isTime` in interface `Dimension`
  Returns:
    boolean

### setHierarchies

    public void setHierarchies(Hierarchy[] hierarchies)

  Sets the hierarchies.

  Parameters:
    `hierarchies` - The hierarchies to set

### setMeasure

    public void setMeasure(boolean measure)

  Sets the measure.

  Parameters:
    `measure` - The measure to set

### setTime

    public void setTime(boolean time)

  Sets the time.

  Parameters:
    `time` - The time to set

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Specified by:
    `getLabel` in interface `Displayable`
  Returns:
    String

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - The label to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD